[EPIC] Oopa.HanawTyBaHHS, Po3cunka - Task #6285

User story # 6284 (New): [lonasaHHsi HoBoro 6510ky B Moay /b "lMaHenb HanawTyBaHb" 3 HanaWTyBaHHAMM Nonie ANst BifobpaxeHHs "Crivcky" B
MobinbHOMY Jonatky

CTBOpEHHS1 HOBOro 6noKy HanawTyBaHb "Mo6inbHU popatok” B moayni "MaHenb HanawTyBaHb'
17/03/2025 10:00 - % Katarina Herikh

Status: To release Start date: 17/03/2025
Priority: Normal Due date:
Assignee: # Pavlo Scherbatyuk Spent time: 8.00 hours
Category:
Target version: Release 111
Category: Additional settings Current Version: Release 110
Due date: OS (operating

system):
Client:
Description

4, IK KOPUCTYBAY CUCTEMM, XOUY MaTU 3MOry Y Moy ni HanawTyBaHHs HanawTysaTu nons, siki 6ynyTb JOCTYNHI NiHIAHOMY
nepcoHany B MobGinbHOMY A04ATKY B PEXUMI nepernsay nnaHorpamu y "Cnncky".

B Beb Bepcii B Moayni "MaHenb HanawTyBaHb" - "[oaaTkoBi HanawTyBaHHa" gonatu HoBmin 6nok "MobinbHuii nopaTok", nons
nokasyeaTtu y ApongayHi, K yXe € Hapasi B CUCTEMI

JTiHK Ha dpirmy:
https://www.figma.com/design/mT5ks1IcjpN2haDcW3p1zv/Redesign-1.0?node-id=9180-3639&t=DbBLqY|rgbzJ583F-1

History

#1 - 17/03/2025 10:13 - & Katarina Herikh

- Subject changed from CtBopeHHs HoBoro 6/10ky HanawtyBaHb "MobinbHuii goaarok" B moayni "HanawrtyBaHHs" to CTBOpPeHHS HOBOro 6/10Ky
HanawrtysaHb "MobinbHuii nogarok” B moayni "lNaHens HanawTtyBaHs"

#2 - 24/03/2025 10:06 - # Katarina Herikh
- Tracker changed from User story to Task

- Current Version set to Release 110

#3 - 24/03/2025 10:47 - & Aleksandr Bilousko
- Assignee changed from % Aleksandr Bilousko to # Aleksandr Tsymbalyuk

#4 - 28/03/2025 08:51 - # Aleksandr Tsymbalyuk

- File picture042-1.png added

- File picture042-2.png added

- Status changed from New to Ready for development

- Assignee changed from # Aleksandr Tsymbalyuk to # Volodymyr Lysiuk

Jonae MOXNMBICTb HanawTyBaTy NEpPenik BNACTUBOCTEN N0 BUBOLY B KapTLi ToBapy y Mob. 3acTOCYHKY CKpiH npuknas (picture042-1.png)

HeobxiaHo 3po6uTun KoHBEPTALIitO.

Y cuctemHoMy HanawTyBaHHi "printConfig" mae 6yTu npucyTHil MaccuB KONoHOK planogram.columns
Voro noTpi6Ho BinchinbTpyBaTH 3a BNAcTUBICTIO checked: true.
Y Bunagnky checked: true cToBputmn ekaemnnsip obekTa

var Iltem = function(el){

this.index = 1;

this.checked = true;

this.property = el.property;

this.translate = el.translate;

this.security = Boolean(el.security);

this.additional = Boolean(el.additional);

b
OTpuMaHuii HOBWI MaccKB KOHdirypauii noTpibHO NMoknacTh y HoBe cucTeMHe HanawTysaHHs "mobileProductCardConfig"
[{additional: false

checked: true

index: 1

property: "title"

security: false

translate:"Name"}]

'Y Bunaaky sikwo "printConfig" a6o planogram.columns BincyTHii 6xxaHo 3aceTnTn y "mobileProductCardConfig" nycTtuit macus.
Micns MOXHa NepeBoaUTY Ha TECTYBAHHS BEO BEPCIlii.

Micns Be6 3amavy HeobxiAHO NEPEBECTM Ha HACTYMHWIA peni3 MO6. 3aCTOCYHKY.

#5 - 28/03/2025 09:26 - # Aleksandr Tsymbalyuk

Jopnatn nedoonTHi HanawTysaHHs 0o "mobileProductCardConfig" nns HoBux knieHTiB abo Tux e BiacyTHi "printConfig"

[ |

"index":1,
"checked":true,
"property":"title",
"translate":"Name",
"security":false,
"additional":false

1

"index":2,
"checked":true,
"property":"vendorCode",
"translate":"ltem code",
"security":false,
"additional":false

1

"index":3,
"checked":true,
"property":"countX",
"translate":"Facing width",
"security":false,
"additional":false

1

"index":4,
"checked":true,
"property":"countY",
"translate":"Facing height”,
"security":false,
"additional":false

H

"index":5,
"checked":true,
"property":"countZ",
"translate":"Facing depth",
"security":false,
"additional":false

i

#6 - 31/03/2025 07:40 - # Volodymyr Lysiuk
- Status changed from Ready for development to Ready for testing

- Assignee changed from # Volodymyr Lysiuk to # Aleksandr Tsymbalyuk

3pobuB KOHBEpPTALtO
BMKOHAB Ha AeMo.py (Tam yxe Bynu HanawTyBaHHs, TOMy nepen KOHBepTauieto ix nepeimeHysas B mobileProductCardConfig_1 notim Buaanto 3a
Harognu)

#7 - 31/03/2025 08:58 - # Aleksandr Tsymbalyuk
- Assignee changed from # Aleksandr Tsymbalyuk to # Pavio Scherbatyuk

#8 - 01/04/2025 05:39 - 4 Pavlo Scherbatyuk

- Status changed from Ready for testing to To release

Ha pemo - OK.
Files

picture042-1.png 74 KB 28/03/2025 # Aleksandr Tsymbalyuk
picture042-2.png 60.9 KB 28/03/2025 # Aleksandr Tsymbalyuk
